org.apache.sysds.runtime.codegen

## Class SpoofOperator

- java.lang.Object
- - org.apache.sysds.runtime.codegen.SpoofOperator

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SpoofCellwise, SpoofMultiAggregate, SpoofOuterProduct, SpoofRowwise

      public abstract class SpoofOperator
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SpoofOperator.SideInput`
    `static class` | `SpoofOperator.SideInputSparseCell`
    `static class` | `SpoofOperator.SideInputSparseRow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpoofOperator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract SpoofCUDAOperator` | `createCUDAInstrcution(Integer opID, SpoofCUDAOperator.PrecisionProxy ep)`
    `ScalarObject` | `execute(ArrayList<MatrixBlock> inputs, ArrayList<ScalarObject> scalars)`
    `ScalarObject` | `execute(ArrayList<MatrixBlock> inputs, ArrayList<ScalarObject> scalars, int k)`
    `abstract MatrixBlock` | `execute(ArrayList<MatrixBlock> inputs, ArrayList<ScalarObject> scalars, MatrixBlock out)`
    `MatrixBlock` | `execute(ArrayList<MatrixBlock> inputs, ArrayList<ScalarObject> scalars, MatrixBlock out, int k)`
    `static DenseBlock[]` | `getDenseMatrices(SpoofOperator.SideInput[] inputs)`
    `abstract String` | `getSpoofType()`
    `static long` | `getTotalInputNnz(ArrayList<MatrixBlock> inputs)`
    `static long` | `getTotalInputSize(ArrayList<MatrixBlock> inputs)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpoofOperator

          public SpoofOperator()

  - ### Method Detail

    - #### execute

          public abstract MatrixBlock execute(ArrayList<MatrixBlock> inputs,
                                              ArrayList<ScalarObject> scalars,
                                              MatrixBlock out)

    - #### execute

          public MatrixBlock execute(ArrayList<MatrixBlock> inputs,
                                     ArrayList<ScalarObject> scalars,
                                     MatrixBlock out,
                                     int k)

    - #### getSpoofType

          public abstract String getSpoofType()

    - #### execute

          public ScalarObject execute(ArrayList<MatrixBlock> inputs,
                                      ArrayList<ScalarObject> scalars)

    - #### execute

          public ScalarObject execute(ArrayList<MatrixBlock> inputs,
                                      ArrayList<ScalarObject> scalars,
                                      int k)

    - #### getDenseMatrices

          public static DenseBlock[] getDenseMatrices(SpoofOperator.SideInput[] inputs)

    - #### getTotalInputNnz

          public static long getTotalInputNnz(ArrayList<MatrixBlock> inputs)

    - #### getTotalInputSize

          public static long getTotalInputSize(ArrayList<MatrixBlock> inputs)

    - #### createCUDAInstrcution

          public abstract SpoofCUDAOperator createCUDAInstrcution(Integer opID,
                                                                  SpoofCUDAOperator.PrecisionProxy ep)

Copyright © 2021 The Apache Software Foundation. All rights reserved.